[![Build Status](https://travis-ci.org/crystalmaths/crystalmaths.svg?branch=master)](https://travis-ci.org/github/crystalmaths/crystalmaths)

![crystalmaths](https://github.com/crystalmaths/crystalmaths/blob/master/images/crystalmathsdark.png?raw=true)

### Package for indexing the zone axis of a high res TEM image
**Crystalmaths** is a Data Science Project that was developed as a part of the DIRECT Program by a group of graduate students from the University of Washington in Seattle.\
The goal of `crystalmaths` is to create a Python module that can make automate zone axis definition from a high resolution TEM images.\
`crystalmaths` is a developing module with more improvements to come. Feel free to add your comments, notes, and recommendations in the `issues` of this repository.

#### Installation:
- `conda install crystalmaths`

#### Software Dependencies:
- `Python 3.7`
- Please see the file `environment.yml` for the needed packages.

#### Preview of CrystalMaths:
Please review this short demo of how to use `crystalmaths` functions:

![Preview](https://github.com/crystalmaths/crystalmaths/blob/master/images/Crystalmaths-Demo-_1080p_.gif?raw=true)

Video available [here](https://www.youtube.com/watch?v=sT46nRLCLZ8).

Please see the [Module Demo jupyter notebook](https://github.com/crystalmaths/crystalmaths/blob/master/examples/Module%20Demo.ipynb) in the examples folder for more details.

#### Acknowledgments:
Thanks to Ting, Dave, Ted, Jimin, Torin, and Caitlyn for being fantastic instructors and mentors for us.


<img align="center" img src="https://github.com/crystalmaths/crystalmaths/blob/master/images/DIRECTlogo-Final.png?raw=true" width="300"> <img align="center" img src="https://github.com/crystalmaths/crystalmaths/blob/master/images/Signature_Center_Purple_RGB.png?raw=true" width="300">


